> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tallentu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Adicionar Candidato

Adiciona um novo candidato a uma vaga.

## Path Parameters

<ParamField path="id" type="string" required>
  O ID da vaga.
</ParamField>

## Body

<ParamField body="name" type="string" required>
  O nome completo do candidato.
</ParamField>

<ParamField body="email" type="string" required>
  O email do candidato.
</ParamField>

<ParamField body="resume_url" type="string" required>
  URL pública para download do currículo (PDF). O arquivo deve ter no máximo
  5MB.
</ParamField>

## Response

<ResponseField name="candidate_id" type="string">
  O ID do candidato criado ou existente.
</ResponseField>

<RequestExample>
  ```bash Curl theme={null}
  curl -X POST "https://api.tallentu.com/v1/jobs/job_123/applications" \
    -H "Authorization: Bearer <token>" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Jane Doe",
      "email": "jane@example.com",
      "resume_url": "https://example.com/resume.pdf"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "candidate_id": "user_987654321"
  }
  ```
</ResponseExample>
